Subject: bug#28580: python.el: native completion setup failed

From: Андрей Парамонов<[email-masked]>
Date: Mon, 25 Sep 2017 00:37:38 +0300

2017-09-25 0:31 GMT+03:00 Noam Postavsky <[email-masked]>:

> Андрей Парамонов <[email-masked]> writes:
>
> > Unfortunately my distrib doesn't seem to have the source el-files :-(
>
> You can find it here: http://git.savannah.gnu.org/
> cgit/emacs.git/tree/lisp/progmodes/python.el?h=emacs-25.3
>
> Make sure to evaluate the changed source *after* you've loaded the
> builtin python.el.
>

I'll try to find time to debug it.

> >     Try the recipe in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=
> >     28051#8
> >     and see if you suffer from that bug.
> >
> > Hm, the bug and the one mentioned inside describe bad behavior of
> > Python2, but in my case it's the opposite :-/
>
> Well really it describes the bad behaviour of the fallback completion.
> It just happens that Emacs 25 uses the fallback completion method with
> Python2 on Windows.
>

I do not use Python2 on Windows. Rather, I use Python3 on Windows. And it
seems my completion is also "fallback" (which for me reads "suboptimal").
I'd prefer best ;-)

Best wishes,
Andrey Paramonov